%define name	visualboyadvance
%define version 1.8.0
%define release %mkrel 1

%define build_gtk 1


Name:		%{name}
Summary:	A GBA/GB/GBC emulator
Version:	%{version}
Release:	%{release}
Group:		Emulators
Source:		%{name}-%{version}.tar.xz
Patch1:		06_old_2xSaImmx_asm.dpatch
Patch2:		02_amd64_build_fix.dpatch
Patch3:		visualboyadvance-1.7.2-deprecatedsigc++.patch
Url:		http://vba.ngemu.com/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot 
License:	GPLv2+
BuildRequires:	nasm
%if %build_gtk
BuildRequires:	gtkmm2.4-devel
BuildRequires:	libglademm2.4-devel
%endif
BuildRequires:	libSDL-devel >= 1.2.2
BuildRequires:  libpng-devel
BuildRequires:	zlib-devel
BuildRequires:  flex

%description
VisualBoyAdvance is a GPL emulator for the Game Boy, the Game Boy color
and the Game Boy Advance.

NO ROMS IN THIS PACKAGE !

%prep
%setup -q -n VisualBoyAdvance-%{version}
%patch1 -p1
%patch2 -p1
%patch3

%build
%define Werror_cflags %nil
export LDFLAGS=-lz
# SDL version
%configure2_5x --without-profiling --disable-dev
%make
%if %build_gtk
# GTK GUI version
%configure2_5x --without-profiling --disable-dev \
--disable-sdl \
--enable-gtk=2.4
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -m 755 ./src/sdl/VisualBoyAdvance %buildroot%_bindir
%if %build_gtk
%find_lang vba-%version


mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Visualboy Advance
Comment=Gameboy Advance Emulator
Exec=gvba
Icon=%name
Terminal=false
Type=Application
StartupNotify=true
Categories=Game;Emulator;GTK;X-MandrivaLinux-MoreApplications-Emulators;
EOF

install -m 644 -D src/gtk/images/vba-64.png %buildroot%_datadir/icons/hicolor/64x64/apps/%name.png
install -m 644 -D src/gtk/images/stock-vba-wm-48.png %buildroot%_datadir/icons/hicolor/48x48/apps/%name.png
install -m 644 -D src/gtk/images/stock-vba-wm-32.png %buildroot%_datadir/icons/hicolor/32x32/apps/%name.png
install -m 644 -D src/gtk/images/stock-vba-wm-16.png %buildroot%_datadir/icons/hicolor/16x16/apps/%name.png
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %build_gtk
%post
%update_icon_cache hicolor

%postun
%clean_icon_cache hicolor
%endif

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README INSTALL
%config(noreplace) %_sysconfdir/VisualBoyAdvance.cfg
%{_bindir}/VisualBoyAdvance
%_datadir/locale/fr/LC_MESSAGES/vba-1.8.0.mo

%if %build_gtk
%{_bindir}/gvba
%_datadir/applications/*
%_datadir/VisualBoyAdvance/vba-64.png
%_datadir/VisualBoyAdvance/vba.glade
%_datadir/icons/hicolor/*/apps/%name.png
%endif

%changelog
* Sat Jul 09 2011 Ertain <sirius-C at iname.com> 1.8.0-1pclos2011
- Initial package ported from PLF
